# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](http://keepachangelog.com/en/1.0.0/) and this project adheres to [Semantic Versioning](http://semver.org/spec/v2.0.0.html).
Prior to version 6.0.0, this project used MCVERSION-MAJORMOD.MAJORAPI.MINOR.PATCH.

## [6.5.0+1.20.1] - 2024.03.04
### Added
- Added Friends&Foes totem rendering [#36](https://github.com/illusivesoulworks/charmofundying/issues/36)
- Added Netherite Extras's Totem of Neverdying support [#34](https://github.com/illusivesoulworks/charmofundying/issues/34)
### Changed
- Updated to SpectreLib 0.13.15
- [Fabric] No longer requires Fabric Loader >=0.14.23
### Fixed
- [Quilt] Fixed crash when used with Fabric versions of SpectreLib

## [6.4.5+1.20.1] - 2023.10.29
### Added
- Added `ru_ru` localization (thanks mpustovoi!) [#31](https://github.com/illusivesoulworks/charmofundying/pull/31)

## [6.4.4+1.20.1] - 2023.10.23
### Changed
- Updated to SpectreLib 0.13.14
- [Fabric] Requires Fabric Loader >=0.14.23

## [6.4.3+1.20.1] - 2023.06.25
### Fixed
- [Quilt] Fixed config crashes [#27](https://github.com/illusivesoulworks/charmofundying/issues/27)

## [6.4.2+1.20.1] - 2023.06.22
### Fixed
- Fixed totem rendering propagating to other curios [#24](https://github.com/illusivesoulworks/charmofundying/issues/24)

## [6.4.1+1.20.1] - 2023.06.20
### Fixed
- [Forge] Fixed startup crash [#23](https://github.com/illusivesoulworks/charmofundying/issues/23)

## [6.4.0+1.20.1] - 2023.06.19
### Changed
- Updated to Minecraft 1.20.1

## [6.3.0+1.19.4] - 2023.05.04
### Changed
- Updated to Minecraft 1.19.4

## [6.2.2+1.19.3] - 2023.05.04
### Fixed
- Fixed Fabric Waystone's Void Totem not working properly for void damage

## [6.2.1+1.19.3] - 2023.01.16
### Fixed
- Fixed dedicated server crash

## [6.2.0+1.19.3] - 2023.01.15
### Added
- Added Quilt support
### Changed
- Updated to Minecraft 1.19.3

## [6.1.0+1.19.2] - 2023.01.14
### Added
- Added integration with Fabric Waystone's Void Totem [#13](https://github.com/illusivesoulworks/charmofundying/issues/13)
### Fixed
- Fixed totem animation using vanilla totem instead of modded totems when applicable

## [6.0.0+1.19.2] - 2022.08.09
### Changed
- Updated to Minecraft 1.19.2
- [Forge] Updated to Forge 43+
- [Fabric] Updated to Fabric API 0.59.0+

## [6.0.0-beta.3+1.19.1] - 2022.07.29
### Changed
- Updated to Minecraft 1.19.1
- [Forge] Updated to Forge 42+
- [Fabric] Updated to Fabric API 0.58.5+
- Changed mixin to accommodate for Void Totem integration

## [6.0.0-beta.2+1.19] - 2022.07.14
### Added
- Added integration with Biome Makeover's Enchanted Totem

## [6.0.0-beta.1+1.19] - 2022.07.09
### Changed
- Merged Forge and Fabric versions of the project together using the MultiLoader template
- Changed to [Semantic Versioning](http://semver.org/spec/v2.0.0.html)
- Updated to Minecraft 1.19
- [Forge] Updated to Forge 41+
- [Fabric] Updated to Fabric API 0.55.2+

## [1.18-5.3.0.0] - 2021.12.07
### Changed
- Updated to Minecraft 1.18

## [1.17.1-5.3.0.0] - 2021.09.27
### Changed
- Updated to Minecraft 1.17.1
- Updated to Forge 37.0.59+
- Updated to Curios 1.17.1-5.0+

## [1.16.5-5.2.0.0] - 2021.05.13
### Fixed
- Fixed bug with Hardcore Revival Mod [#3](https://github.com/TheIllusiveC4/CurioOfUndying/issues/3)

## [1.16.4-5.1.0.0] - 2020.11.24
### Changed
- Updated to Minecraft 1.16.4

## [1.16.3-5.0.0.1] - 2020.09.27
### Changed
- Updated to Minecraft 1.16.3

## [1.16.2-5.0.0.0] - 2020.08.13
### Changed
- Updated to Minecraft 1.16.2

## [1.16.1-4.0.0.0] - 2020.07.01
### Changed
- Updated to Minecraft 1.16.1

## [1.15.2-3.0.0.0] - 2020.02.12
### Changed
- Updated to Minecraft 1.15.2

## [1.14.4-2.0.1.0] - 2020.02.11
### Added
- Added rendering [#1](https://github.com/TheIllusiveC4/CurioOfUndying/issues/1)

## [1.14.4-2.0.0.0] - 2019.09.15
### Changed
- Updated to Forge 28.1.0+

## [1.14.4-2.0.0.0-beta2] - 2019.07.24
### Changed
- Updated to Minecraft 1.14.4

## [1.14.3-2.0.0.0-beta1] - 2019.07.02
### Changed
- Updated to Minecraft 1.14.3

## [1.13.2-1.1.0.0] - 2019.04.11
### Changed
- Updated to Curios 0.10+

## [1.13.2-1.0.0.0] - 2019.03.07
- Initial release
